Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIGetStdout

Creates a `PETSCVIEWERASCII` `PetscViewer` shared by all processes in a communicator that prints to `stdout`. Error returning version of `PETSC_VIEWER_STDOUT_()`

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIGetStdout(MPI_Comm comm, PetscViewer *viewer)

Collective

## Input Parameter

- comm - the MPI communicator to share the `PetscViewer`

## Output Parameter

- viewer - the viewer

## Note

Use `PetscViewerDestroy()` to destroy it

## Developer Note

This should be used in all PETSc source code instead of `PETSC_VIEWER_STDOUT_()` since it allows error checking

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerASCIIGetStderr()`, `PETSC_VIEWER_DRAW_()`, `PetscViewerASCIIOpen()`, `PETSC_VIEWER_STDERR_`, `PETSC_VIEWER_STDOUT_WORLD`, `PETSC_VIEWER_STDOUT_SELF`

## Level

beginner

## Location

src/sys/classes/viewer/impls/ascii/filev.c

## Examples

src/snes/tutorials/ex6.c
src/ts/tutorials/ex14.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages